ChiliProject - Bug # 64: Forums list shows even if the forum module is not active

Status: Closed Priority: Normal
Author: Felix Schafer Category: Forums
Created: 2011-01-16 Assignee: Felix Schéfer
Updated: 2011-02-27 Due date:

Remote issue URL:

Affected version:

Description: It seems the forums list doesn't check for activation of the module, see "the boards page
here":/projects/chiliproject/boards.

Associated revisions

2011-02-24 02:19 pm - Felix SchArfer
404 on board index when no board configured. #64

History

2011-01-16 01:36 pm - Eric Davis

- Assignee set to Felix Schéfer

- Category set to Forums

Can you check this on a local copy? The forums module is *enabled* but | haven't created any forums yet (see #34).

2011-02-01 10:49 pm - Felix Schéfer
- Status set to Open

2011-02-22 06:14 pm - Felix Schéafer

OK, just tested locally, and the boards link throws a 403 if the module isn't active, it shows an empty list of boards when the module is active but no
board has been configured yet. In comparison, the wiki link throws a 404 if the module isn't active and there is no wiki configured.

Would a 404 be OK in the case "forum module active" but "no board configured"?

2011-02-22 11:58 pm - Eric Davis

| think 404 would be right for when the module [isn't active] or [it is active with no boards]. That means ChiliProject can't find (404) an active Forum

module and it can't find a board.

2011-02-24 01:20 pm - Felix Schéafer
- Status changed from Open to Closed

Committed a fix to 404 of board index with no board configured and a test for it in commit:7e99e2714b6c77751e044129be263d642676€373.

2011-02-27 10:13 pm - Eric Davis
- Target version set to 1.1.0 4€” Bell
